summaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
authorSoulou <leo@unbekandt.eu>2016-11-02 00:09:43 +0100
committerSoulou <leo@unbekandt.eu>2016-11-02 00:09:43 +0100
commitaa2d22c92a523efd26cd575320ab90df5c94e744 (patch)
treee786e6d4a761f598eec5e4753c70fdb258f04b10 /test
parent6580e4949d3f3cf3f1972df9a7ce284dddae96b4 (diff)
downloadmunin-aa2d22c92a523efd26cd575320ab90df5c94e744.tar.gz
munin-aa2d22c92a523efd26cd575320ab90df5c94e744.tar.bz2
munin-aa2d22c92a523efd26cd575320ab90df5c94e744.tar.xz
munin-aa2d22c92a523efd26cd575320ab90df5c94e744.zip
Support CGI graphs
Diffstat (limited to 'test')
-rw-r--r--test/munin/.gitkeep0
-rwxr-xr-xtest/start_test.sh19
2 files changed, 19 insertions, 0 deletions
diff --git a/test/munin/.gitkeep b/test/munin/.gitkeep
new file mode 100644
index 0000000..e69de29
--- /dev/null
+++ b/test/munin/.gitkeep
diff --git a/test/start_test.sh b/test/start_test.sh
new file mode 100755
index 0000000..7f81e69
--- /dev/null
+++ b/test/start_test.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+if [ -z "$1" ] ; then
+ echo "usage: $0 <id of docker image>"
+ exit 1
+fi
+
+basedir="$( cd -P "$( dirname "$0" )" && pwd )/munin"
+
+docker run -it \
+ -p 8080:8080 \
+ -v $basedir/log:/var/log/munin \
+ -v $basedir/lib:/var/lib/munin \
+ -v $basedir/run:/run/munin \
+ -v $basedir/cache:/var/cache/munin \
+ -e MUNIN_USER=user \
+ -e MUNIN_PASSWORD=secret \
+ -e NODES="172.17.0.1:$(hostname)" \
+ $1